Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common.security
Class RolePermissionInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.security.PermissionInfo
            |
            +--com.bea.wlpi.common.security.RolePermissionInfo

public final class RolePermissionInfo
extends PermissionInfo

Holds permisssion infomation about a WLPI role.

Objects of this class holds various permissions defined by `EnumPermission` for a particular WLPI role. These are the `Serializable` objects that will be transmitting across the application server boundary.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`RolePermissionInfo(java.lang.String roleID, java.lang.String orgID)` Create a new RolePermissionInfo object.
`RolePermissionInfo(java.lang.String roleID, java.lang.String orgID, java.lang.String groupID)` Create a new RolePermissionInfo object.

Method Summary
`java.lang.String` | `getGroupID()` Get the group ID.
`java.lang.String` | `getOrgID()` Get the organization ID.
`void` | `setGroupID(java.lang.String groupID)` Set the group ID.
`void` | `setOrgID(java.lang.String orgID)` Set the organization ID.

Methods inherited from class com.bea.wlpi.common.security.PermissionInfo
`getPermissions, getPrincipalId, hasPermission, setPermission`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RolePermissionInfo

    public RolePermissionInfo(java.lang.String roleID,
                              java.lang.String orgID)

  Create a new RolePermissionInfo object.

  Parameters:
    `String` - The WLPI role ID.
    `String` - The WLPI organization ID.

### RolePermissionInfo

    public RolePermissionInfo(java.lang.String roleID,
                              java.lang.String orgID,
                              java.lang.String groupID)

  Create a new RolePermissionInfo object.

  Parameters:
    `String` - The WLPI role ID.
    `String` - The WLPI organization ID.
    `String` - The WLS group ID.

Method Detail

### setOrgID

    public void setOrgID(java.lang.String orgID)

  Set the organization ID.

  Parameters:
    `String` - Organization ID

### getOrgID

    public java.lang.String getOrgID()

  Get the organization ID.

  Returns:
    Organization ID

### setGroupID

    public void setGroupID(java.lang.String groupID)

  Set the group ID.

  Parameters:
    `String` - Group ID

### getGroupID

    public java.lang.String getGroupID()

  Get the group ID.

  Returns:
    group ID

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)